Curses::UI::Dialog::Question(3pm)

NAME
Curses::UI::Dialog::Question - Pose a simple question to the user

CLASS HIERARCHY
 Curses::UI::Widget
    |
    +----Curses::UI::Container
            |
            +----Curses::UI::Window
                    |
                    +----Curses::UI::Dialog::Question

SYNOPSIS
    use Curses::UI;
    my $cui = new Curses::UI;
    my $win = $cui->add('window_id', 'Window');

    # The hard way.
    # -------------
    my $dialog = $win->add(
        'mydialog', 'Dialog::Question',
        -question   => 'How super awesome are you?'
    );
    $dialog->modalfocus;
    $win->delete('mydialog');

    # The easy way (see Curses::UI documentation).
    # --------------------------------------------
    my $value = $cui->question(-question => 'How super awesome are you?');

    # or even
    my $awesomeness = $cui->question('How super awesome are you?');

DESCRIPTION
Curses::UI::Dialog::Question is a basic question dialog. This type of dialog has a message on it, a TextEntry answer box, and one or more buttons. It can be used to have a user enter some answer in response to a question.

See exampes/demo-widgets in the distribution for a short demo.

OPTIONS

•   -title < TEXT >

    Set the title of the dialog window to TEXT.

•   -question < TEXT >

    This option sets the question to show to TEXT. The text may contain newline (\n) characters.

•   -buttons < ARRAYREF >

•   -selected < INDEX >

•   -buttonalignment < VALUE >

    These options sets the buttons that have to be used. For an explanation of these options, see the Curses::UI::Buttonbox documentation.

METHODS

•   new ( HASH )

•   layout ( )

•   draw ( BOOLEAN )

•   focus ( )

    These are standard methods. See Curses::UI::Container for an explanation of these.

•   get ( )

    This method will call get on the TextEntry object of the dialog and return its returnvalue. See Curses::UI::TextEntry for more information on this. If the cancel button was pressed, the return value will be undef.

SEE ALSO
Curses::UI, Curses::UI::Container, Curses::UI::Buttonbox

AUTHOR
Copyright (c) 2004 Luke Closs <lukec@activestate.com>. All rights reserved.

Maintained by Marcus Thiesen (marcus@cpan.thiesenweb.de)

This package is free software and is provided "as is" without express or implied warranty. It may be used, redistributed and/or modified under the same terms as perl itself.